# BEGIN SourceDeps(oneline):
BuildRequires: perl(English.pm) perl(Getopt/Long.pm) perl(Graph.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(Pod/Usage.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Script.pm) perl(Test/Warn.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name App-War
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: turn one big decision into many small decisions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JT/JTRAMMELL/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
How do you go about ranking a number of items?  One way to do it is to
compare the objects two at a time until a clear winner can be established.

This module does just that, using a topological sort to establish a unique
ordering of all the "combatants" in the "war".

This module is modeled loosely after http://kittenwar.com/, a
crowdsourced web application for determining the cutest kitten in the
universe.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install
sed -i -e "284s/[\"']BOOYA![\"']/1/" %buildroot%perl_vendor_privlib/App/War.pm

%files
%doc README.txt Changes.txt
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

